Skip to main content
GET
/
queries
/
{id}
/
query-runs
List query runs for a query
curl --request GET \
  --url https://api.flipsidecrypto.xyz/public/v3/queries/{id}/query-runs
{
  "runs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "queryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resultLocation": "<string>",
      "snowflakeQueryId": "<string>",
      "rowCount": 123,
      "executionTimeMs": 123,
      "columnSchema": [
        null
      ],
      "errorDetails": "<string>",
      "queryHash": "<string>",
      "warehouse": "<string>",
      "dataSourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "status": "PENDING",
      "userAgent": "web"
    }
  ],
  "total": 1,
  "limit": 2,
  "offset": 1
}

Path Parameters

id
string<uuid>
required

Query Parameters

limit
string

Maximum number of results (default: 20, max: 100)

offset
string

Number of results to skip (default: 0)

Response

List of query runs

runs
object[]
required
total
integer
required
Required range: x >= 0
limit
integer
required
Required range: x >= 1
offset
integer
required
Required range: x >= 0